<?xml version="1.0" encoding="UTF-8"?>

<Model quotesql="1" tablecharset="UTF8" mysql_version="504"
	mssql_version="2005" derby_version="106" ingres_version="9">
	<Entity name="colegio" Unlogged="false" PKClustered="0">
		<Column name="id_pk">
			<PrimaryKey>true</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>increment</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="nombre">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>27</Type>
			<Length>100</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
	</Entity>
	<Entity name="curso" Unlogged="false" PKClustered="0">
		<Column name="id_pk">
			<PrimaryKey>true</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>increment</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="colegio_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>colegio.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="nivel">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="letra">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>27</Type>
			<Length>1</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
	</Entity>
	<Entity name="asignatura" Unlogged="false" PKClustered="0">
		<Column name="id_pk">
			<PrimaryKey>true</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>increment</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="curso_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>curso.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="profesor_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>profesor.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="nombre">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>27</Type>
			<Length>100</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
	</Entity>
	<Entity name="estudiante" Unlogged="false" PKClustered="0">
		<Column name="id_pk">
			<PrimaryKey>true</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>increment</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="curso_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>curso.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="apoderado_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>apoderado.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="nombre">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>27</Type>
			<Length>100</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="rut">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>27</Type>
			<Length>100</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
	</Entity>
	<Entity name="apoderado" Unlogged="false" PKClustered="0">
		<Column name="id_pk">
			<PrimaryKey>true</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>increment</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="colegio_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>colegio.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="nombre">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>27</Type>
			<Length>100</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="rut">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>27</Type>
			<Length>100</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
	</Entity>
	<Entity name="nota" Unlogged="false" PKClustered="0">
		<Column name="id_pk">
			<PrimaryKey>true</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>increment</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="estudiante_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>estudiante.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="asignatura_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>asignatura.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="valor">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>6</Type>
			<Length>0</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
	</Entity>
	<Entity name="anotacion" Unlogged="false" PKClustered="0">
		<Column name="id_pk">
			<PrimaryKey>true</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>increment</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="estudiante_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>estudiante.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="profesor_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>profesor.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="descripcion">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>27</Type>
			<Length>100</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="positiva">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>1</Type>
			<Length>1</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
	</Entity>
	<Entity name="asistencia" Unlogged="false" PKClustered="0">
		<Column name="id_pk">
			<PrimaryKey>true</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>increment</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="estudiante_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>estudiante.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="dia">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>17</Type>
			<Length>0</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="asistio">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>1</Type>
			<Length>1</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
	</Entity>
	<Entity name="profesor" Unlogged="false" PKClustered="0">
		<Column name="id_pk">
			<PrimaryKey>true</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>increment</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="colegio_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>colegio.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="nombre">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>27</Type>
			<Length>100</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="rut">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>27</Type>
			<Length>100</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
	</Entity>
	<Entity name="actividad" Unlogged="false" PKClustered="0">
		<Column name="id_pk">
			<PrimaryKey>true</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>increment</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="asignatura_id_fk">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>true</ForeignKey>
			<ReferencedColumn>asignatura.id_pk</ReferencedColumn>
			<Type>9</Type>
			<Length>10</Length>
			<Nullable>false</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="fecha">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>17</Type>
			<Length>0</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
		<Column name="tipo">
			<PrimaryKey>false</PrimaryKey>
			<ForeignKey>false</ForeignKey>
			<Type>27</Type>
			<Length>100</Length>
			<Nullable>true</Nullable>
			<IDGenerator>native</IDGenerator>
			<Unique>false</Unique>
			<Index>false</Index>
			<UserTypes />
		</Column>
	</Entity>
	<ForeignKey name="FKanotacion106484">
		<ReferenceTable>anotacion</ReferenceTable>
		<ReferencedTable>estudiante</ReferencedTable>
		<Columns>
			<Column>estudiante_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKnota970842">
		<ReferenceTable>nota</ReferenceTable>
		<ReferencedTable>estudiante</ReferencedTable>
		<Columns>
			<Column>estudiante_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKasignatura734940">
		<ReferenceTable>asignatura</ReferenceTable>
		<ReferencedTable>curso</ReferencedTable>
		<Columns>
			<Column>curso_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKestudiante399501">
		<ReferenceTable>estudiante</ReferenceTable>
		<ReferencedTable>curso</ReferencedTable>
		<Columns>
			<Column>curso_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKactividad385633">
		<ReferenceTable>actividad</ReferenceTable>
		<ReferencedTable>asignatura</ReferencedTable>
		<Columns>
			<Column>asignatura_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKestudiante816093">
		<ReferenceTable>estudiante</ReferenceTable>
		<ReferencedTable>apoderado</ReferencedTable>
		<Columns>
			<Column>apoderado_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKcurso1967">
		<ReferenceTable>curso</ReferenceTable>
		<ReferencedTable>colegio</ReferencedTable>
		<Columns>
			<Column>colegio_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKasistencia331039">
		<ReferenceTable>asistencia</ReferenceTable>
		<ReferencedTable>estudiante</ReferencedTable>
		<Columns>
			<Column>estudiante_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKasignatura442837">
		<ReferenceTable>asignatura</ReferenceTable>
		<ReferencedTable>profesor</ReferencedTable>
		<Columns>
			<Column>profesor_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKanotacion379168">
		<ReferenceTable>anotacion</ReferenceTable>
		<ReferencedTable>profesor</ReferencedTable>
		<Columns>
			<Column>profesor_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKnota157065">
		<ReferenceTable>nota</ReferenceTable>
		<ReferencedTable>asignatura</ReferencedTable>
		<Columns>
			<Column>asignatura_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKapoderado153902">
		<ReferenceTable>apoderado</ReferenceTable>
		<ReferencedTable>colegio</ReferencedTable>
		<Columns>
			<Column>colegio_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
	<ForeignKey name="FKprofesor406122">
		<ReferenceTable>profesor</ReferenceTable>
		<ReferencedTable>colegio</ReferencedTable>
		<Columns>
			<Column>colegio_id_fk</Column>
		</Columns>
		<RefColumns>
			<Column>id_pk</Column>
		</RefColumns>
	</ForeignKey>
</Model>
